#!/usr/bin/perl

use GD;
use Data::Dump qw(dump);
use Math::Trig qw(tan pi);

$size = 7;

$img = new GD::Image($size,$size);

$black = $img->colorAllocate(0,0,0);
$transp = $img->colorAllocate(255,255,255);

$img->transparent($transp);

for($j=0;$j<12;$j++){

    $img->filledRectangle(0,0,$size,$size,$transp);

    $poly = new GD::Polygon;

    for($i=0;$i<360;$i+=120){
	$x = $size/2 + $size/2*sin(($i+$j/12*120)/180*pi());
	$y = $size/2 + $size/2*cos(($i+$j/12*120)/180*pi());
	$poly->addPt($x, $y);
    }

    $img->filledPolygon($poly, $black);

    open(OUT,sprintf("> arrow%02d.png", $j));
    print OUT $img->png();
    close(OUT);
}

